﻿<?php

add_action('init','marketpanel_of_options');

if (!function_exists('marketpanel_of_options')) {
function marketpanel_of_options(){

//نام کوتاه پوسته
$shortname = "marketwp";


//آرایه پنل تنظیمات
global $mw_options;
$mw_options = get_option('of_options');


//دسترسی به برگه های وردپرس با یک آرایه
$mw_pages = array();
$mw_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($mw_pages_obj as $mw_page) {
$mw_pages[$mw_page->ID] = $mw_page->post_name; }
$mw_pages_tmp = array_unshift($mw_pages, "یک برگه را انتخاب کنید:"); 


//دسترسی به دسته های وردپرس با یک آرایه
$mw_categories = array();  
$mw_categories_obj = get_categories('hide_empty=0');
foreach ($mw_categories_obj as $mw_cat) {
$mw_categories[$mw_cat->cat_ID] = $mw_cat->cat_name;}
$categories_tmp = array_unshift($mw_categories, "یک دسته را انتخاب کنید:");


//نمونه آرایه برای منوی کشویی
$market_array = array("1","2","3","4","5");


//نمونه آرایه پیشرفته
$market_advanced_array = array("image" => "The Image","post" => "The Post"); 


//مسیر پوشه برای "type" => "images"
$marketurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';










/*-----------------------------------------------------------------------------------*/
/* پنل تنظیمات رایزروید
/*-----------------------------------------------------------------------------------*/
$options = array(); //این خط را پاک نکنید

/* تب اول - تنظیمات عمومی */	
$options[] = array( "name" => __('General Options - تنظیمات عمومی','marketwplang'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('توجه','marketwplang'),
			"desc" => "",
			"id" => $shortname."_mwp_callout",
			"std" => "اگر تنظیمات را کامل انجام ندهید پوسته ناقص به نظر خواهد رسید. 20 اسکریپت . ای ار",
			"type" => "info");
			
$options[] = array( "name" => __('توجه','marketwplang'),
			"desc" => "",
			"id" => $shortname."_mwp_callout",
			"std" => "تمامی لینک ها را همراه با http یا https وارید نمایید.",
			"type" => "info");
			
$options[] = array( "name" => __('نام سایت','marketwplangg'),
			"desc" => "نام سایت خود را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field1",
			"std" => "",
			"type" => "text");				
			
$options[] = array( "name" => __('عنوان سایت','marketwplangg'),
			"desc" => "عنوان سایت خود را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field2",
			"std" => "",
			"type" => "text");						
			
$options[] = array( "name" => __('لینک فاوآیکون','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field3",
			"std" => "",
			"type" => "text");	
			
$options[] = array( "name" => __('لینک صفحه درخواست','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field4",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('آی دی خبرنامه ( فیدبرنر )','marketwplangg'),
			"desc" => "آی دی خبرنامه خود را در اینجا قرار دهید .",
			"id" => $shortname."_gn_text_field18",
			"std" => "",
			"type" => "text");
			
/* تب اول - تنظیمات عمومی */	

/* تب اول - تنظیمات تبلیغات */	
			
$options[] = array( "name" => __('Ads Options - تنظیمات تبلیغات','marketwplangg'),
			"type" => "heading");
			
$options[] = array( "name" => __('توجه','marketwplang'),
			"desc" => "",
			"id" => $shortname."_mwp_callout",
			"std" => "تمامی لینک ها را همراه با http یا https وارید نمایید.",
			"type" => "info");
			
$options[] = array( "name" => __('آپلود بنر رو به روی لوگو','marketwplang'),
			"desc" => __('در این جا بنر دلخواه خود را بارگذاری کنید.','marketwplang'),
			"id" => $shortname."_mwp_image_upload1",
			"std" => "",
			"type" => "upload");	
			
$options[] = array( "name" => __('لینک بنر رو به روی لوگو','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field5",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('برن زیر منو بار - سمت راست','marketwplang'),
			"desc" => __('در این جا بنر دلخواه خود را بارگذاری کنید.','marketwplang'),
			"id" => $shortname."_mwp_image_upload2",
			"std" => "",
			"type" => "upload");	
			
$options[] = array( "name" => __('لینک بنر زیر منو بار - سمت راست','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field6",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('آپلود بنر زیر منو بار - سمت چپ','marketwplang'),
			"desc" => __('در این جا بنر دلخواه خود را بارگذاری کنید.','marketwplang'),
			"id" => $shortname."_mwp_image_upload3",
			"std" => "",
			"type" => "upload");	
			
$options[] = array( "name" => __('لینک بنر زیر منو بار - سمت چپ','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field7",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان تبلیغات متنی اول','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field8",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک تبلیغات متنی اول','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field9",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان تبلیغات متنی دوم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field10",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک تبلیغات متنی دوم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field11",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان تبلیغات متنی سوم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field12",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک تبلیغات متنی سوم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field13",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان تبلیغات متنی چهارم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field14",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک تبلیغات متنی چهارم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field15",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('عنوان تبلیغات متنی پنجم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field16",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک تبلیغات متنی پنجم','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field17",
			"std" => "",
			"type" => "text");

/* تب اول - تنظیمات تبلیغات */

/* تب اول - تنظیمات شبکه های اجتماعی */

$options[] = array( "name" => __('Social Options - تنظیمات شبکه های اجتماعی','marketwplang'),
			"type" => "heading");
			
$options[] = array( "name" => __('لینک کانال تلگرام','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field19",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک صفحه اینستاگرام','marketwplangg'),
			"desc" => "در اینجا لینک مورد نظر را قرار دهید.",
			"id" => $shortname."_gn_text_field20",
			"std" => "",
			"type" => "text");

/* تب اول - تنظیمات شبکه های اجتماعی */			

update_option('of_template',$options); 					  
update_option('of_shortname',$shortname);

}
}
?>